#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )";
WORKING_DIR=$DIR/../envs;
PROJECT="dox-account-recrawler";

DB_PORT=$1;
SCRAPER_PORT=$2;
LOG_DIR=$3;
ADDITIONAL_ARGS=$4;

cd $WORKING_DIR/$PROJECT;
source bin/activate;
cd $PROJECT;
./recrawler.py -d 127.0.0.1:$DB_PORT -s 127.0.0.1:$SCRAPER_PORT -l $LOG_DIR $ADDITIONAL_ARGS;

